package com.proyek.akhir.kodel.ui.koperasi.beranda.pinjaman

import android.content.Intent
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.proyek.akhir.kodel.R
import com.proyek.akhir.kodel.data.response.PinjamItem
import com.proyek.akhir.kodel.ui.koperasi.beranda.pinjaman.confirmPeminjam.ConfirmasiPeminjamActivity
import kotlinx.android.synthetic.main.item_peminjam.view.*

class PeminjamKoperasiAdapter(private val listPeminjam: ArrayList<PinjamItem>) :
    RecyclerView.Adapter<PeminjamKoperasiAdapter.PeminjamViewHolder>() {
    inner class PeminjamViewHolder(itemView: View) : RecyclerView.ViewHolder(itemView) {
        fun bind(peminjam: PinjamItem) {
            with(itemView) {
                namaPeminjam.text = peminjam.namaPeminjam
                jlhPinjam.text =
                    context.getString(R.string.peminjaman_x, peminjam.jlhPinjam.toString())
                itemView.setOnClickListener {
                    val intent = Intent(this.context, ConfirmasiPeminjamActivity::class.java)
                    intent.putExtra("idAnggota", peminjam.idAnggota.toString())
                    context.startActivity(intent)

                }
            }
        }

    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): PeminjamViewHolder =
        PeminjamViewHolder(
            LayoutInflater.from(parent.context).inflate(
                R.layout.item_peminjam, parent, false
            )
        )

    override fun getItemCount(): Int = listPeminjam.size

    override fun onBindViewHolder(holder: PeminjamViewHolder, position: Int) {
        holder.bind(listPeminjam[position])
    }
}